import {select,arc} from 'd3'; //looks for d3 global object
const svg=select('svg');
svg.style('background-color','green');

//const circle = svg.append('circle'); 
const width=+svg.attr('width');
const height=+svg.attr('height');

const g=svg.append('g')
  .attr('transform',`translate(${width/2},${height/2})`);

const circle=g.append('circle') //creating circle
  .attr('r',height/2)
  .attr('fill','#f4b042')
  .attr('stroke','black');

const eyespace=100;
const offset=-70;
const eyeRadius=40;
const ebw=70
const ebh=15
const ebyof=-70

const eyesG=g.append('g');
  .attr('transform',`translate(0,${offset})`);;

const lefteye=eyesG.append('circle') //creating eye circle
  .attr('r',eyeRadius)
  .attr('cx',-eyespace)


const righteye=eyesG.append('circle') //creating eye circle
  .attr('r',eyeRadius)
  .attr('cx',eyespace)

const lefteb=eyesG.append('rect')
  .attr('x',-eyespace-ebw/2)
  .attr('y',ebyof)
  .attr('width',ebw)
  .attr('height',ebh)

const righteb=eyesG.append('rect')
  .attr('x',eyespace-ebw/2)
  .attr('y',ebyof)
  .attr('width',ebw)
  .attr('height',ebh)

const mouth =g.append('path')
  .attr('d',arc()({
  innerRadius: 134,
  outerRadius: 160,
  startAngle: Math.PI,
  endAngle: Math.PI*3/2}))
